Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface ISharedImages

public interface ISharedImages

A registry for common images used by the workbench which may be useful to other plug-ins.

This class provides `Image` and `ImageDescriptor`s for each named image in the interface. All `Image` objects provided by this class are managed by this class and must never be disposed by other clients.

This interface is not intended to be implemented by clients.

Field Summary
`static String` | `IMG_DEF_VIEW` Identifies the default image used for views.
`static String` | `IMG_OBJ_ELEMENT` Identifies an element image.
`static String` | `IMG_OBJ_FILE` Identifies a file image.
`static String` | `IMG_OBJ_FOLDER` Identifies a folder image.
`static String` | `IMG_OBJ_PROJECT` Deprecated. in 3.0. This image is IDE-specific, and is therefore found only in IDE configurations. IDE-specific tools should use `org.eclipse.ui.ide.IDE.SharedImages.IMG_OBJ_PROJECT` instead.
`static String` | `IMG_OBJ_PROJECT_CLOSED` Deprecated. in 3.0. This image is IDE-specific, and is therefore found only in IDE configurations. IDE-specific tools should use `org.eclipse.ui.ide.IDE.SharedImages.IMG_OBJ_PROJECT_CLOSED` instead.
`static String` | `IMG_OBJS_BKMRK_TSK` Deprecated. in 3.0. This image is IDE-specific, and is therefore found only in IDE configurations. IDE-specific tools should use `org.eclipse.ui.ide.IDE.SharedImages.IMG_OBJS_BKMRK_TSK` instead.
`static String` | `IMG_OBJS_ERROR_TSK` Identifies the default image used to indicate errors.
`static String` | `IMG_OBJS_INFO_TSK` Identifies the default image used to indicate information only.
`static String` | `IMG_OBJS_TASK_TSK` Deprecated. in 3.0. This image is IDE-specific, and is therefore found only in IDE configurations. IDE-specific tools should use `org.eclipse.ui.ide.IDE.SharedImages.IMG_OBJS_TASK_TSK` instead.
`static String` | `IMG_OBJS_WARN_TSK` Identifies the default image used to indicate warnings.
`static String` | `IMG_OPEN_MARKER` Deprecated. in 3.0. This image is IDE-specific, and is therefore found only in IDE configurations. IDE-specific tools should use `org.eclipse.ui.ide.IDE.SharedImages.IMG_OPEN_MARKER` instead.
`static String` | `IMG_TOOL_BACK` Identifies the back image in the enabled state.
`static String` | `IMG_TOOL_BACK_DISABLED` Identifies the back image in the disabled state.
`static String` | `IMG_TOOL_BACK_HOVER` Deprecated. in 3.0. This image is now the same as `IMG_TOOL_BACK`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.
`static String` | `IMG_TOOL_COPY` Identifies the copy image in the enabled state.
`static String` | `IMG_TOOL_COPY_DISABLED` Identifies the copy image in the disabled state.
`static String` | `IMG_TOOL_COPY_HOVER` Deprecated. in 3.0. This image is now the same as `IMG_TOOL_COPY_HOVER`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.
`static String` | `IMG_TOOL_CUT` Identifies the cut image in the enabled state.
`static String` | `IMG_TOOL_CUT_DISABLED` Identifies the cut image in the disabled state.
`static String` | `IMG_TOOL_CUT_HOVER` Deprecated. in 3.0. This image is now the same as `IMG_TOOL_CUT`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.
`static String` | `IMG_TOOL_DELETE` Identifies the delete image in the enabled state.
`static String` | `IMG_TOOL_DELETE_DISABLED` Identifies the delete image in the disabled state.
`static String` | `IMG_TOOL_DELETE_HOVER` Deprecated. in 3.0. This image is now the same as `IMG_TOOL_DELETE`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.
`static String` | `IMG_TOOL_FORWARD` Identifies the forward image in the enabled state.
`static String` | `IMG_TOOL_FORWARD_DISABLED` Identifies the forward image in the disabled state.
`static String` | `IMG_TOOL_FORWARD_HOVER` Deprecated. in 3.0. This image is now the same as `IMG_TOOL_FORWARD`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.
`static String` | `IMG_TOOL_NEW_WIZARD` Identifies the new wizard image in the enabled state.
`static String` | `IMG_TOOL_NEW_WIZARD_DISABLED` Identifies the new wizard image in the disabled state.
`static String` | `IMG_TOOL_NEW_WIZARD_HOVER` Deprecated. in 3.0. This image is now the same as `IMG_TOOL_NEW_WIZARD`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.
`static String` | `IMG_TOOL_PASTE` Identifies the paste image in the enabled state.
`static String` | `IMG_TOOL_PASTE_DISABLED` Identifies the paste image in the disabled state.
`static String` | `IMG_TOOL_PASTE_HOVER` Deprecated. in 3.0. This image is now the same as `IMG_TOOL_PASTE`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.
`static String` | `IMG_TOOL_REDO` Identifies the redo image in the enabled state.
`static String` | `IMG_TOOL_REDO_DISABLED` Identifies the redo image in the disabled state.
`static String` | `IMG_TOOL_REDO_HOVER` Deprecated. in 3.0. This image is now the same as `IMG_TOOL_REDO`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.
`static String` | `IMG_TOOL_UNDO` Identifies the undo image in the enabled state.
`static String` | `IMG_TOOL_UNDO_DISABLED` Identifies the undo image in the disabled state.
`static String` | `IMG_TOOL_UNDO_HOVER` Deprecated. in 3.0. This image is now the same as `IMG_TOOL_UNDO`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.
`static String` | `IMG_TOOL_UP` Identifies the up image in the enabled state.
`static String` | `IMG_TOOL_UP_DISABLED` Identifies the up image in the disabled state.
`static String` | `IMG_TOOL_UP_HOVER` Deprecated. in 3.0. This image is now the same as `IMG_TOOL_UP`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.

Method Summary
`Image` | `getImage(String symbolicName)` Retrieves the specified image from the workbench plugin's image registry.
`ImageDescriptor` | `getImageDescriptor(String symbolicName)` Retrieves the image descriptor for specified image from the workbench's image registry.

Field Detail

### IMG_OBJ_FILE

    public static final String IMG_OBJ_FILE

  Identifies a file image.

  See Also:
    Constant Field Values

### IMG_OBJ_FOLDER

    public static final String IMG_OBJ_FOLDER

  Identifies a folder image.

  See Also:
    Constant Field Values

### IMG_OBJ_PROJECT

    public static final String IMG_OBJ_PROJECT

  Deprecated. in 3.0. This image is IDE-specific, and is therefore found only in IDE configurations. IDE-specific tools should use `org.eclipse.ui.ide.IDE.SharedImages.IMG_OBJ_PROJECT` instead.

  Identifies a project image.

  See Also:
    Constant Field Values

### IMG_OBJ_PROJECT_CLOSED

    public static final String IMG_OBJ_PROJECT_CLOSED

  Deprecated. in 3.0. This image is IDE-specific, and is therefore found only in IDE configurations. IDE-specific tools should use `org.eclipse.ui.ide.IDE.SharedImages.IMG_OBJ_PROJECT_CLOSED` instead.

  Identifies a closed project image.

  See Also:
    Constant Field Values

### IMG_OBJ_ELEMENT

    public static final String IMG_OBJ_ELEMENT

  Identifies an element image.

  See Also:
    Constant Field Values

### IMG_OPEN_MARKER

    public static final String IMG_OPEN_MARKER

  Deprecated. in 3.0. This image is IDE-specific, and is therefore found only in IDE configurations. IDE-specific tools should use `org.eclipse.ui.ide.IDE.SharedImages.IMG_OPEN_MARKER` instead.

  Identifies the image used for "open marker".

  See Also:
    Constant Field Values

### IMG_DEF_VIEW

    public static final String IMG_DEF_VIEW

  Identifies the default image used for views.

  See Also:
    Constant Field Values

### IMG_OBJS_ERROR_TSK

    public static final String IMG_OBJS_ERROR_TSK

  Identifies the default image used to indicate errors.

  See Also:
    Constant Field Values

### IMG_OBJS_WARN_TSK

    public static final String IMG_OBJS_WARN_TSK

  Identifies the default image used to indicate warnings.

  See Also:
    Constant Field Values

### IMG_OBJS_INFO_TSK

    public static final String IMG_OBJS_INFO_TSK

  Identifies the default image used to indicate information only.

  See Also:
    Constant Field Values

### IMG_OBJS_TASK_TSK

    public static final String IMG_OBJS_TASK_TSK

  Deprecated. in 3.0. This image is IDE-specific, and is therefore found only in IDE configurations. IDE-specific tools should use `org.eclipse.ui.ide.IDE.SharedImages.IMG_OBJS_TASK_TSK` instead.

  Identifies the default image used to indicate a task.

  See Also:
    Constant Field Values

### IMG_OBJS_BKMRK_TSK

    public static final String IMG_OBJS_BKMRK_TSK

  Deprecated. in 3.0. This image is IDE-specific, and is therefore found only in IDE configurations. IDE-specific tools should use `org.eclipse.ui.ide.IDE.SharedImages.IMG_OBJS_BKMRK_TSK` instead.

  Identifies the default image used to indicate a bookmark.

  See Also:
    Constant Field Values

### IMG_TOOL_NEW_WIZARD

    public static final String IMG_TOOL_NEW_WIZARD

  Identifies the new wizard image in the enabled state.

  See Also:
    Constant Field Values

### IMG_TOOL_NEW_WIZARD_HOVER

    public static final String IMG_TOOL_NEW_WIZARD_HOVER

  Deprecated. in 3.0. This image is now the same as `IMG_TOOL_NEW_WIZARD`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.

  Identifies the new wizard image in the hover (colored) state.

  See Also:
    Constant Field Values

### IMG_TOOL_NEW_WIZARD_DISABLED

    public static final String IMG_TOOL_NEW_WIZARD_DISABLED

  Identifies the new wizard image in the disabled state.

  See Also:
    Constant Field Values

### IMG_TOOL_UNDO

    public static final String IMG_TOOL_UNDO

  Identifies the undo image in the enabled state.

  See Also:
    Constant Field Values

### IMG_TOOL_UNDO_HOVER

    public static final String IMG_TOOL_UNDO_HOVER

  Deprecated. in 3.0. This image is now the same as `IMG_TOOL_UNDO`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.

  Identifies the undo image in the hover (colored) state.

  See Also:
    Constant Field Values

### IMG_TOOL_UNDO_DISABLED

    public static final String IMG_TOOL_UNDO_DISABLED

  Identifies the undo image in the disabled state.

  See Also:
    Constant Field Values

### IMG_TOOL_REDO

    public static final String IMG_TOOL_REDO

  Identifies the redo image in the enabled state.

  See Also:
    Constant Field Values

### IMG_TOOL_REDO_HOVER

    public static final String IMG_TOOL_REDO_HOVER

  Deprecated. in 3.0. This image is now the same as `IMG_TOOL_REDO`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.

  Identifies the redo image in the hover (colored) state.

  See Also:
    Constant Field Values

### IMG_TOOL_REDO_DISABLED

    public static final String IMG_TOOL_REDO_DISABLED

  Identifies the redo image in the disabled state.

  See Also:
    Constant Field Values

### IMG_TOOL_CUT

    public static final String IMG_TOOL_CUT

  Identifies the cut image in the enabled state.

  See Also:
    Constant Field Values

### IMG_TOOL_CUT_HOVER

    public static final String IMG_TOOL_CUT_HOVER

  Deprecated. in 3.0. This image is now the same as `IMG_TOOL_CUT`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.

  Identifies the cut image in the hover (colored) state.

  See Also:
    Constant Field Values

### IMG_TOOL_CUT_DISABLED

    public static final String IMG_TOOL_CUT_DISABLED

  Identifies the cut image in the disabled state.

  See Also:
    Constant Field Values

### IMG_TOOL_COPY

    public static final String IMG_TOOL_COPY

  Identifies the copy image in the enabled state.

  See Also:
    Constant Field Values

### IMG_TOOL_COPY_HOVER

    public static final String IMG_TOOL_COPY_HOVER

  Deprecated. in 3.0. This image is now the same as `IMG_TOOL_COPY_HOVER`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.

  Identifies the copy image in the hover (colored) state.

  See Also:
    Constant Field Values

### IMG_TOOL_COPY_DISABLED

    public static final String IMG_TOOL_COPY_DISABLED

  Identifies the copy image in the disabled state.

  See Also:
    Constant Field Values

### IMG_TOOL_PASTE

    public static final String IMG_TOOL_PASTE

  Identifies the paste image in the enabled state.

  See Also:
    Constant Field Values

### IMG_TOOL_PASTE_HOVER

    public static final String IMG_TOOL_PASTE_HOVER

  Deprecated. in 3.0. This image is now the same as `IMG_TOOL_PASTE`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.

  Identifies the paste image in the hover (colored) state.

  See Also:
    Constant Field Values

### IMG_TOOL_PASTE_DISABLED

    public static final String IMG_TOOL_PASTE_DISABLED

  Identifies the paste image in the disabled state.

  See Also:
    Constant Field Values

### IMG_TOOL_DELETE

    public static final String IMG_TOOL_DELETE

  Identifies the delete image in the enabled state.

  See Also:
    Constant Field Values

### IMG_TOOL_DELETE_HOVER

    public static final String IMG_TOOL_DELETE_HOVER

  Deprecated. in 3.0. This image is now the same as `IMG_TOOL_DELETE`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.

  Identifies the delete image in the hover (colored) state.

  See Also:
    Constant Field Values

### IMG_TOOL_DELETE_DISABLED

    public static final String IMG_TOOL_DELETE_DISABLED

  Identifies the delete image in the disabled state.

  See Also:
    Constant Field Values

### IMG_TOOL_FORWARD

    public static final String IMG_TOOL_FORWARD

  Identifies the forward image in the enabled state.

  See Also:
    Constant Field Values

### IMG_TOOL_FORWARD_HOVER

    public static final String IMG_TOOL_FORWARD_HOVER

  Deprecated. in 3.0. This image is now the same as `IMG_TOOL_FORWARD`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.

  Identifies the forward image in the hover (colored) state.

  See Also:
    Constant Field Values

### IMG_TOOL_FORWARD_DISABLED

    public static final String IMG_TOOL_FORWARD_DISABLED

  Identifies the forward image in the disabled state.

  See Also:
    Constant Field Values

### IMG_TOOL_BACK

    public static final String IMG_TOOL_BACK

  Identifies the back image in the enabled state.

  See Also:
    Constant Field Values

### IMG_TOOL_BACK_HOVER

    public static final String IMG_TOOL_BACK_HOVER

  Deprecated. in 3.0. This image is now the same as `IMG_TOOL_BACK`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.

  Identifies the back image in the hover (colored) state.

  See Also:
    Constant Field Values

### IMG_TOOL_BACK_DISABLED

    public static final String IMG_TOOL_BACK_DISABLED

  Identifies the back image in the disabled state.

  See Also:
    Constant Field Values

### IMG_TOOL_UP

    public static final String IMG_TOOL_UP

  Identifies the up image in the enabled state.

  See Also:
    Constant Field Values

### IMG_TOOL_UP_HOVER

    public static final String IMG_TOOL_UP_HOVER

  Deprecated. in 3.0. This image is now the same as `IMG_TOOL_UP`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.

  Identifies the up image in the hover (colored) state.

  See Also:
    Constant Field Values

### IMG_TOOL_UP_DISABLED

    public static final String IMG_TOOL_UP_DISABLED

  Identifies the up image in the disabled state.

  See Also:
    Constant Field Values

Method Detail

### getImage

    public Image getImage(String symbolicName)

  Retrieves the specified image from the workbench plugin's image registry. Note: The returned `Image` is managed by the workbench; clients must not dispose of the returned image.

  Parameters:
    `symbolicName` - the symbolic name of the image; there are constants declared in this interface for build-in images that come with the workbench
  Returns:
    the image, or `null` if not found

### getImageDescriptor

    public ImageDescriptor getImageDescriptor(String symbolicName)

  Retrieves the image descriptor for specified image from the workbench's image registry. Unlike `Image`s, image descriptors themselves do not need to be disposed.

  Parameters:
    `symbolicName` - the symbolic name of the image; there are constants declared in this interface for build-in images that come with the workbench
  Returns:
    the image descriptor, or `null` if not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.